org.apache.commons.io.input

## Class MessageDigestCalculatingInputStream.MessageDigestMaintainingObserver

- java.lang.Object
- - org.apache.commons.io.input.ObservableInputStream.Observer
  - - org.apache.commons.io.input.MessageDigestCalculatingInputStream.MessageDigestMaintainingObserver

Enclosing class:
  MessageDigestCalculatingInputStream

    public static class MessageDigestCalculatingInputStream.MessageDigestMaintainingObserver
    extends ObservableInputStream.Observer

Maintains the message digest.

### Constructor Summary

Constructors
Constructor and Description
`MessageDigestMaintainingObserver(MessageDigest pMd)` Creates an MessageDigestMaintainingObserver for the given MessageDigest.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageDigestMaintainingObserver

    public MessageDigestMaintainingObserver(MessageDigest pMd)

Creates an MessageDigestMaintainingObserver for the given MessageDigest.

Parameters:
  `pMd` - the message digest to use